BitBag\SyliusCmsPlugin\Entity\FrequentlyAskedQuestion:
    constraints:
        - Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity:
            fields: [position]
            message: 'bitbag_sylius_cms_plugin.frequently_asked_question.position.unique'
            groups: ['bitbag']
        - Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity:
            fields: [code]
            message: 'bitbag_sylius_cms_plugin.frequently_asked_question.code.unique'
            groups: ['bitbag']
    properties:
        code:
            - NotBlank:
                message: 'bitbag_sylius_cms_plugin.frequently_asked_question.code.not_blank'
                groups: ['bitbag']
            - Length:
                min: 2
                minMessage: 'bitbag_sylius_cms_plugin.frequently_asked_question.code.min_length'
                groups: ['bitbag']
            - Regex:
                  pattern: '/^[\w-]*$/'
                  message: 'bitbag_sylius_cms_plugin.frequently_asked_question.code.regex'
                  groups: [ 'bitbag' ]
        position:
            - NotBlank:
                message: 'bitbag_sylius_cms_plugin.frequently_asked_question.position.not_blank'
                groups: ['bitbag']
        translations:
            - Valid: ~
